#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var commander_1 = require("commander");
var codegen_1 = require("./commands/codegen");
var run_1 = require("./commands/run");
commander_1.program
    .description('Start the sextant server pointing at a target directory.')
    .option('-p --port', 'Your chosen port to run the app. Defaults to 3000', '3000')
    .action(function (event, _a) {
    var targetDir = _a[0], port = _a[1];
    run_1.run(targetDir, port);
});
commander_1.program
    .command('codegen <target-dir>')
    .description('Generate code from your plugins without opening the Sextant GUI')
    .action(function (event, _a) {
    var args = _a.args;
    codegen_1.codegen(args[0]);
});
commander_1.program.parse(process.argv);
